API reference
List your collections
Filter by reference, partnerReference (your own reference, matched exactly), status, and a createdAt range. Cancelled collections are listed too.
Authorization
partner-key X-OnLink-Key<token>
In: header
Query Parameters
reference?string
partnerReference?string
Your own reference, matched exactly.
status?string
Value in
- "open"
- "received"
- "crediting"
- "credited"
- "refunded"
- "expired"
- "cancelled"
from?string
Inclusive lower bound on creation time, ISO 8601.
to?string
Exclusive upper bound on creation time, ISO 8601.
Response Body
application/json
curl -X GET "https://example.com/v1/collections"[ { "id": "a1b2c3d4-0000-4000-8000-000000000001", "reference": "DEMO-7K3Q2M", "status": "open", "currency": "USD", "partnerReference": "campaign-2026-09", "label": "September community appeal", "depositInstructions": { "beneficiaryName": "Sandbox Business", "bankName": "Bank of Nowhere", "routingNumber": "000000000", "accountNumber": "00000000123456", "rails": [ "ach_push", "fednow", "wire" ], "depositMessage": "SBX0DEPOSITMESSAGE" }, "fee": { "percentBps": 100, "flatMinor": 50, "capMinor": 2000, "currency": "USD" }, "expectedAmount": "100.00", "grossAmount": "100.00", "feeAmount": "1.50", "netAmount": "98.50", "createdAt": "2026-09-22T17:38:46.915Z" }]